ros-kilted-ros2run (0.38.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Jan 2026 23:00:00 -0000

ros-kilted-ros2run (0.38.1-1noble) noble; urgency=high

  * fix setuptools deprecations (#1066 <https://github.com/ros2/ros2cli/issues/1066>) (#1101 <https://github.com/ros2/ros2cli/issues/1101>)
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 Sep 2025 22:00:00 -0000

ros-kilted-ros2run (0.38.0-1noble) noble; urgency=high

  * Add signal handler SIGIN/SIGTERM to ros2run (#899 <https://github.com/ros2/ros2cli/issues/899>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-kilted-ros2run (0.37.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sat, 01 Feb 2025 23:00:00 -0000

ros-kilted-ros2run (0.36.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-kilted-ros2run (0.36.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-kilted-ros2run (0.35.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-kilted-ros2run (0.34.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-kilted-ros2run (0.34.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-kilted-ros2run (0.33.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-kilted-ros2run (0.32.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-kilted-ros2run (0.31.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Mar 2024 23:00:00 -0000

ros-kilted-ros2run (0.31.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-kilted-ros2run (0.31.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-kilted-ros2run (0.30.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-kilted-ros2run (0.30.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-kilted-ros2run (0.29.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-kilted-ros2run (0.29.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-kilted-ros2run (0.28.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-kilted-ros2run (0.27.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-kilted-ros2run (0.26.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-kilted-ros2run (0.26.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-kilted-ros2run (0.25.0-1noble) noble; urgency=high

  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 22:00:00 -0000

ros-kilted-ros2run (0.24.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-kilted-ros2run (0.24.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-kilted-ros2run (0.23.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 23:00:00 -0000

ros-kilted-ros2run (0.22.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-kilted-ros2run (0.21.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-kilted-ros2run (0.20.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-kilted-ros2run (0.19.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-kilted-ros2run (0.18.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-kilted-ros2run (0.18.2-1noble) noble; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-kilted-ros2run (0.18.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-kilted-ros2run (0.18.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-kilted-ros2run (0.17.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-kilted-ros2run (0.17.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-kilted-ros2run (0.16.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-kilted-ros2run (0.16.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-kilted-ros2run (0.15.0-1noble) noble; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * check subprocess.returncode to print error message. (#639 <https://github.com/ros2/ros2cli/issues/639>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-kilted-ros2run (0.14.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-kilted-ros2run (0.13.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kilted-ros2run (0.12.0-1noble) noble; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Mar 2021 23:00:00 -0000

ros-kilted-ros2run (0.11.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kilted-ros2run (0.10.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-kilted-ros2run (0.10.0-1noble) noble; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000

ros-kilted-ros2run (0.9.5-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-kilted-ros2run (0.9.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-kilted-ros2run (0.9.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 22:00:00 -0000

ros-kilted-ros2run (0.9.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-kilted-ros2run (0.9.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 May 2020 22:00:00 -0000

ros-kilted-ros2run (0.9.0-1noble) noble; urgency=high

  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Apr 2020 22:00:00 -0000

ros-kilted-ros2run (0.8.6-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-kilted-ros2run (0.8.5-1noble) noble; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 Nov 2019 23:00:00 -0000

ros-kilted-ros2run (0.8.4-1noble) noble; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-kilted-ros2run (0.8.3-1noble) noble; urgency=high

  * 0.8.3
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-kilted-ros2run (0.8.2-1noble) noble; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Oct 2019 22:00:00 -0000

ros-kilted-ros2run (0.8.1-1noble) noble; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-kilted-ros2run (0.8.0-1noble) noble; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-kilted-ros2run (0.7.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-kilted-ros2run (0.7.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-kilted-ros2run (0.7.2-1noble) noble; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-kilted-ros2run (0.7.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Apr 2019 22:00:00 -0000

ros-kilted-ros2run (0.7.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-kilted-ros2run (0.6.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-kilted-ros2run (0.6.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kilted-ros2run (0.6.1-1noble) noble; urgency=high

  * 0.6.1
    bump package.xml, setup.py and setup.cfg versions
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-kilted-ros2run (0.6.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Nov 2018 23:00:00 -0000

ros-kilted-ros2run (0.5.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 Aug 2018 22:00:00 -0000

ros-kilted-ros2run (0.5.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-kilted-ros2run (0.5.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 22:00:00 -0000

ros-kilted-ros2run (0.5.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 10:27:00 -0000

ros-kilted-ros2run (0.5.0-1noble) noble; urgency=high

  * Add pytest markers to linter tests
  * Set zip_safe to avoid warning during installation. (#83 <https://github.com/ros2/ros2cli/issues/83>)
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 10:17:00 -0000

ros-kilted-ros2run (0.4.0-1noble) noble; urgency=high

  * Improve parameters passing to node in ros2run. (#61 <https://github.com/ros2/ros2cli/issues/61>)
    * Improve parameter passing to node in ros2run
    * Enforce PEP
    * Fix remaining warning
    * Move argparse import
  * Remove test_suite, add pytest as test_requires
  * 0.0.3
  * Merge pull request #53 <https://github.com/ros2/ros2cli/issues/53> from ros2/invoke_python_script_on_windows_with_interpreter
    invoke Python scripts on Windows with interpreter
  * Invoke Python scripts on Windows with interpreter
  * Merge pull request #50 <https://github.com/ros2/ros2cli/issues/50> from ros2/fix_sigint_ros2_run
    fix SIGINT handling in ros2 run
  * Fix SIGINT handling in ros2 run
  * Merge pull request #46 <https://github.com/ros2/ros2cli/issues/46> from ros2/flake8_plugins
    update style to satisfy new flake8 plugins
  * Update style to satisfy new flake8 plugins
  * Implicitly inherit from object. (#45 <https://github.com/ros2/ros2cli/issues/45>)
  * Merge pull request #43 <https://github.com/ros2/ros2cli/issues/43> from ros2/run_suppress_prefix_completion
    run: suppress prefix completion
  * Run: suppress prefix completion
  * Added --prefix argument to ros2 run. (#41 <https://github.com/ros2/ros2cli/issues/41>)
    * Added --prefix argument to ros2 run
    * Fixed issues from review by @dirk-thomas and @wjwwood
    * Rephrased help message
    * Added space in help message
  * 0.0.2
  * Add ros2 pkg executables. (#23 <https://github.com/ros2/ros2cli/issues/23>)
    * Add ros2 pkg executables
    * Print basenames by default, option to print full path
  * Merge pull request #15 <https://github.com/ros2/ros2cli/issues/15> from ros2/various_fixes
    various fixes and improvements
  * Various fixes and improvements
  * Removed node from call to get_executable path in ros2 run command,. (#13 <https://github.com/ros2/ros2cli/issues/13>)
    see ros2/ros2cli#12 <https://github.com/ros2/ros2cli/issues/12>.
  * Merge pull request #12 <https://github.com/ros2/ros2cli/issues/12> from ros2/improve_executable_selection
    Improve executable selection
  * Consider PATHEXT on Windows
  * Remove unused node arg
  * Merge pull request #3 <https://github.com/ros2/ros2cli/issues/3> from ros2/more_commands
    add more commands
  * Add ros2run
  * Contributors: Dirk Thomas, Hunter Allen, Mikael Arguedas, alexandre eudes, volkandre

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


